<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Acitvitys.Finalisation.FinalSignatureActivity">

    <androidx.cardview.widget.CardView
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="6dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:paddingRight="6dp">

            <ImageView
                android:layout_width="150dp"
                android:layout_height="65dp"
                android:src="@drawable/ic_logo" />


        </RelativeLayout>

    </androidx.cardview.widget.CardView>

    <!--  Progress bar  -->
    <LinearLayout
        android:id="@+id/ly_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/toolbar"
        android:orientation="horizontal"
        android:layout_marginVertical="30dp"
        android:paddingHorizontal="15dp">
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis" />
    </LinearLayout>


    <TextView
        android:id="@+id/title1"
        style="@style/first_title"
        android:layout_below="@id/ly_progress"
        android:text="@string/empreinte_de_signature" />


    <TextView
        android:id="@+id/title2"
        style="@style/second_title"
        android:text="@string/veuillez_signer_ci_dessous_pour_enregistrer_votre_signature" />


    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/rl_footer"
        android:layout_below="@id/title2">

        <!-- content main-->
        <androidx.cardview.widget.CardView
            android:id="@+id/cardView"
            style="@style/card_view_centre"
            android:layout_centerInParent="true"
            app:cardCornerRadius="16dp"
            app:cardElevation="30dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical" >
                <!--   Signature -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="200dp"
                    android:orientation="vertical">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingLeft="15dp"
                        android:layout_marginTop="3dp"
                        android:paddingRight="15dp">

                        <TextView
                            style="@style/txt_info"
                            android:layout_alignParentLeft="true"
                            android:layout_centerInParent="true"
                            android:layout_gravity="left"
                            android:text="@string/signature" />

                        <ImageView
                            android:id="@+id/img_clear"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerInParent="true"
                            android:src="@drawable/ic_cleaning"
                            app:tint="@color/black" />

                    </RelativeLayout>

                    <com.github.gcacace.signaturepad.views.SignaturePad
                        android:id="@+id/signaturePad"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent" />




                </LinearLayout>


            </LinearLayout>


        </androidx.cardview.widget.CardView>



        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignTop="@id/cardView"
            android:layout_marginTop="50dp"
            android:background="@drawable/radius_left_right">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.03"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="220dp">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-90dp"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>


        <TextView
            style="@style/txt_info"
            android:layout_centerHorizontal="true"
            android:layout_below="@id/cardView"
            android:textColor="@color/white"
            android:layout_margin="10dp"
            android:gravity="center"
            android:text="@string/cette_signature_sera_utilis_e_pour_vos_op_rations_futures" />



    </RelativeLayout>



    <!--  Footer  -->
    <RelativeLayout
        android:id="@+id/rl_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp">


        <TextView
            style="@style/btn_next"
            android:id="@+id/btn_next"
            android:text="@string/continuer"  />


    </RelativeLayout>


</RelativeLayout>